"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ansi_colors_1 = __importDefault(require("ansi-colors"));
class Echo {
    error;
    content;
    tag;
    style;
    logger;
    async init(props) {
        if (typeof props === 'string') {
            this.content = props;
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        const style = this.style && new Function(`const [chalk, content] = arguments; return chalk.${this.style}(content);`);
        const content = (this.content && typeof this.content === 'object') ? JSON.stringify(this.content) : this.content;
        this.logger.info(style?.call(this, ansi_colors_1.default, content) || content);
        return this.content;
    }
    async dispose() { }
}
exports.default = Echo;
//# sourceMappingURL=echo.js.map