"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const exec_1 = __importDefault(require("./exec"));
let exec;
let tmpShFile = new testing_1.TmpFile();
beforeEach(() => {
    (0, testing_1.cleanTest)();
    exec = testing_1.ElementTest.create(exec_1.default);
    tmpShFile.create(`echo "sh here"`);
});
afterEach(async () => {
    await exec.dispose();
});
afterAll(() => {
    tmpShFile.remove();
});
test('should be executed', async () => {
    await exec.init({
        title: 'Execute a file',
        commands: [`/bin/sh`, `${tmpShFile.file}`]
    });
    const { code } = await exec.exec();
    expect(code).toBe(0);
});
test('should be executed', async () => {
    await exec.init([`/bin/sh`, tmpShFile.file]);
    const { signal } = await exec.exec();
    expect(signal).toBeNull();
});
//# sourceMappingURL=exec.spec.js.map