"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const variables_manager_1 = require("../../managers/variables-manager");
class JsExec {
    script;
    ignoreVarsBeforeExec = ['script'];
    logger;
    async init(props) {
        if (typeof props === 'string') {
            this.script = props;
        }
        else {
            Object.assign(this, props);
        }
    }
    async exec() {
        try {
            this.logger.debugBlock(true);
            const func = new Function(`const [vars, utils, logger] = arguments; ${this.script}`);
            const rs = await func.call(this, variables_manager_1.GlobalVars, variables_manager_1.GlobalUtils, this.logger);
            return rs;
        }
        finally {
            this.logger.debugBlock(false);
        }
    }
    async dispose() { }
}
exports.default = JsExec;
//# sourceMappingURL=js.js.map