"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const variables_manager_1 = require("../../managers/variables-manager");
const json_formater_1 = require("./write/json.formater");
const yaml_formater_1 = require("./write/yaml.formater");
class FileWrite {
    logger;
    path;
    content;
    format;
    pretty;
    async init(props) {
        Object.assign(this, props);
    }
    async exec() {
        return new Promise(async (resolve, reject) => {
            this.path = variables_manager_1.GlobalUtils.getPath(this.path);
            this.logger.debug(`Write file to "${this.path}"`);
            const formater = this.getFormater();
            if (formater) {
                this.content = formater.format(this.content);
            }
            this.logger.trace(`[file'write]
Output file \t${this.path}
Output format\t${this.format || ''} ${this.pretty ? '(pretty)' : ''}
File content
${this.content}`);
            (0, fs_1.writeFile)(this.path, this.content, async (err) => {
                if (err)
                    return reject(err);
                resolve(undefined);
            });
        });
    }
    async dispose() { }
    getFormater() {
        switch (this.format) {
            case 'json':
                return new json_formater_1.JSONFormater(this.pretty);
            case 'yaml':
                return new yaml_formater_1.YAMLFormater();
            default:
                return null;
        }
    }
}
exports.default = FileWrite;
//# sourceMappingURL=write.js.map