/// <reference types="node" />
import EventEmitter from "events";
import { Element } from "../../components/element.interface";
import { Logger } from '../../libs/logger';
import { GroupElement } from "./group.interface";
import { GroupItemProps, GroupProps } from "./group.props";
export default class Group<GP extends GroupProps, GIP extends GroupItemProps, P extends GroupElement> extends EventEmitter implements GroupElement {
    title: string;
    parent: P;
    ignoreVarsBeforeExec: string[];
    count: number;
    protected runs: GIP[];
    logger: Logger;
    private asyncJobs;
    init(props: GP | GIP[]): Promise<void>;
    exec(input?: any): Promise<Element[]>;
    dispose(): Promise<void>;
    private execElement;
}
