"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Pub = void 0;
const ansi_colors_1 = __importDefault(require("ansi-colors"));
class Pub {
    address;
    data;
    logger;
    init(props) {
        Object.assign(this, props);
    }
    async exec() {
        try {
            const address = this.address.startsWith('http://') ? this.address : `http://${this.address}`;
            const rs = await fetch(address.toString(), {
                method: 'post',
                headers: {
                    'content-type': 'application/json'
                },
                body: this.data ? JSON.stringify(this.data) : undefined
            });
            return rs;
        }
        catch (err) {
            this.logger.warn(`Could not add a job to queue "${this.address}" \t %s`, ansi_colors_1.default.gray(err?.message));
        }
    }
    dispose() { }
}
exports.Pub = Pub;
//# sourceMappingURL=pub.js.map