"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const variables_manager_1 = require("../../../managers/variables-manager");
const testing_1 = require("../../../testing");
const pub_1 = require("./pub");
const sub_1 = require("./sub");
let sub;
beforeEach(() => {
    (0, testing_1.cleanTest)();
    sub = testing_1.ElementTest.create(sub_1.Sub);
});
afterEach(async () => {
    await sub.dispose();
});
test('Add a jobs in queue', async () => {
    const jobData = { foo: 'bar' };
    await sub.init({
        address: '0.0.0.0:4000',
        runs: [
            {
                vars: {
                    jobData: '${this.parentData}'
                }
            },
            {
                "http/jobs'stop": null
            }
        ]
    });
    const t = new Promise((r, e) => {
        setTimeout(async () => {
            const pub = testing_1.ElementTest.create(pub_1.Pub);
            try {
                await pub.init({
                    address: '0.0.0.0:4000',
                    data: jobData
                });
                await pub.exec();
            }
            catch (err) {
                e(err);
            }
            finally {
                await pub.dispose();
            }
            r(undefined);
        }, 500);
    });
    await sub.exec();
    await t;
    expect(variables_manager_1.GlobalVars.jobData).toEqual(jobData);
});
//# sourceMappingURL=pub.spec.js.map