"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const confirm_1 = __importDefault(require("./confirm"));
let input;
beforeEach(() => {
    input = testing_1.ElementTest.create(confirm_1.default);
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
    await input.dispose();
});
test('Input confirm data', async () => {
    await input.init({
        title: 'Are you sure ?',
        default: false
    });
    setImmediate(() => input.answer('n'));
    const rs1 = await input.exec();
    expect(rs1).toBe(false);
    setImmediate(() => input.answer('y'));
    const rs2 = await input.exec();
    expect(rs2).toBe(true);
});
//# sourceMappingURL=confirm.spec.js.map