import { Element } from "../../components/element.interface";
import { Logger } from "../../libs/logger";
import { InputInterface } from "./input.interface";
import { InputProps } from "./input.props";
import { InputAbstract } from "./questions/input.abstract";
export declare class Input<T extends InputProps> implements Element {
    private inputClass;
    ignoreVarsBeforeExec: string[];
    props: any;
    vars: any;
    logger: Logger;
    private input;
    constructor(inputClass: new (props: any) => InputAbstract<InputInterface>);
    init(inputProps: T): Promise<void>;
    answer(value?: string | number | boolean | {
        key: string;
        name: string;
    }[]): void;
    exec(): Promise<any>;
    dispose(): Promise<void>;
}
