"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
class Input {
    inputClass;
    ignoreVarsBeforeExec = ['input', 'inputClass'];
    props;
    vars;
    logger;
    input;
    constructor(inputClass) {
        this.inputClass = inputClass;
    }
    async init(inputProps) {
        const { vars, title, ...props } = inputProps;
        this.vars = vars;
        this.props = { ...props, label: title };
    }
    answer(value) {
        return this.input?.answer(value);
    }
    async exec() {
        globalThis.inputIndent = this.logger.indentString;
        this.input = new this.inputClass(this.props);
        const value = await this.input.exec();
        if (value === undefined) {
            process.exit(0);
        }
        return value;
    }
    async dispose() { }
}
exports.Input = Input;
//# sourceMappingURL=input.js.map