"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const number_1 = __importDefault(require("./number"));
let input;
beforeEach(() => {
    input = testing_1.ElementTest.create(number_1.default);
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
    await input.dispose();
});
test('Input number data', async () => {
    await input.init({
        title: `How old are you ?`,
        default: 1
    });
    setImmediate(() => input.answer());
    const rs1 = await input.exec();
    expect(rs1).toBe(1);
    setImmediate(() => input.answer(3));
    const rs2 = await input.exec();
    expect(rs2).toBe(3);
});
//# sourceMappingURL=number.spec.js.map