"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const password_1 = __importDefault(require("./password"));
let input;
beforeEach(() => {
    input = testing_1.ElementTest.create(password_1.default);
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
    await input.dispose();
});
test('Input password data', async () => {
    await input.init({
        title: `Enter your password ?`,
        default: 'abc'
    });
    setImmediate(() => input.answer());
    const rs1 = await input.exec();
    expect(rs1).toBe('abc');
    setImmediate(() => input.answer('def'));
    const rs2 = await input.exec();
    expect(rs2).toBe('def');
});
//# sourceMappingURL=password.spec.js.map