"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputMultiSelect = void 0;
const input_abstract_1 = require("./input.abstract");
class InputMultiSelect extends input_abstract_1.InputAbstract {
    type = 'multiselect';
    choices;
    constructor(props) {
        super(props);
        Object.assign(this, props);
    }
    async exec() {
        if (this.default !== undefined && !Array.isArray(this.default)) {
            this.default = [this.default];
        }
        this.choices.forEach(async (choice) => {
            if (this.default?.includes(choice.value)) {
                choice.selected = true;
            }
        });
        return super.exec();
    }
}
exports.InputMultiSelect = InputMultiSelect;
//# sourceMappingURL=input-multiselect.js.map