"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputSuggest = exports.SuggestType = void 0;
const input_abstract_1 = require("./input.abstract");
class SuggestType {
    STARTSWITH_AND_ALLOW_NEW(inp, choices = []) {
        if (!inp)
            return choices;
        const existed = choices.filter(e => e.title.toLowerCase().startsWith(inp.toLowerCase()));
        let isExisted = existed.length === 1 && existed[0].title.toLowerCase() === inp.toLowerCase();
        if (isExisted)
            return existed;
        return [{ title: inp, value: inp, disabled: true }, ...existed];
    }
    STARTSWITH(inp, choices = []) {
        if (!inp)
            return choices;
        const existed = choices.filter(e => e.title.toLowerCase().startsWith(inp.toLowerCase()));
        return existed;
    }
    INCLUDE_AND_ALLOW_NEW(inp, choices = []) {
        if (!inp)
            return choices;
        const existed = choices.filter(e => e.title.toLowerCase().includes(inp.toLowerCase()));
        let isExisted = existed.length === 1 && existed[0].title.toLowerCase() === inp.toLowerCase();
        if (isExisted)
            return existed;
        return [{ title: inp, value: inp, disabled: true }, ...existed];
    }
    INCLUDE(inp, choices = []) {
        if (!inp)
            return choices;
        const existed = choices.filter(e => e.title.toLowerCase().includes(inp.toLowerCase()));
        return existed;
    }
}
exports.SuggestType = SuggestType;
class InputSuggest extends input_abstract_1.InputAbstract {
    type = 'autocomplete';
    choices;
    limit;
    style;
    clearFirst = true;
    suggest;
    constructor(props) {
        super(props);
        Object.assign(this, props);
        const suggestType = new SuggestType();
        if (props.suggestType) {
            this.suggest = suggestType[props.suggestType];
        }
        else {
            this.suggest = suggestType.INCLUDE_AND_ALLOW_NEW;
        }
    }
    async exec() {
        this.choices.forEach((choice, i) => {
            if (this.default !== undefined && this.default === choice.value) {
                this.default = +i;
            }
        });
        return super.exec();
    }
}
exports.InputSuggest = InputSuggest;
//# sourceMappingURL=input-suggest.js.map