"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const suggest_1 = __importDefault(require("./suggest"));
let input;
beforeEach(() => {
    input = testing_1.ElementTest.create(suggest_1.default);
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
    await input.dispose();
});
test('Input Suggest data', async () => {
    await input.init({
        title: `Pick 1 ?`,
        default: 2,
        suggestType: 'STARTSWITH_AND_ALLOW_NEW',
        choices: [
            { title: 'A1', value: 1 },
            { title: 'A2', value: 2 },
            { title: 'A3', value: 3 },
        ]
    });
    setImmediate(() => input.answer());
    const rs2 = await input.exec();
    expect(rs2).toBe(2);
});
//# sourceMappingURL=suggest.spec.js.map