"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const toggle_1 = __importDefault(require("./toggle"));
let input;
beforeEach(() => {
    input = testing_1.ElementTest.create(toggle_1.default);
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
    await input.dispose();
});
test('Input toogle data', async () => {
    await input.init({
        title: `Like/Dislike ?`,
        default: false
    });
    setImmediate(() => input.answer());
    const rs1 = await input.exec();
    expect(rs1).toBe(false);
    setImmediate(() => input.answer(1));
    const rs2 = await input.exec();
    expect(rs2).toBe(true);
});
//# sourceMappingURL=toggle.spec.js.map