"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const input_confirm_1 = require("../../components/input/questions/input-confirm");
class Pause {
    label;
    #confirm;
    async init(props) {
        if (props && typeof props == 'object') {
            const { title, ...eprops } = props;
            this.label = title;
            Object.assign(this, eprops);
        }
    }
    getInputOptions() {
        return { label: '⏸ ' + (this.label || 'Paused'), yes: '▶ Continue', no: '⏹ Stop' };
    }
    async exec() {
        this.#confirm = new input_confirm_1.InputConfirm({ default: true, ...this.getInputOptions() });
        const isContinue = await this.#confirm.exec();
        if (!isContinue)
            process.exit(1);
    }
    async continue() {
        await this.#confirm.answer('');
    }
    async dispose() { }
}
exports.default = Pause;
//# sourceMappingURL=pause.js.map