import { Logger } from "../../libs/logger";
import { Element } from "../element.interface";
import Group from "../group";
import { GroupElement } from "../group/group.interface";
import { GroupItemProps, GroupProps } from "../group/group.props";
import { VarsProps } from "../vars/vars.props";
import { SceneProps } from "./scene.props";
export default class Scene implements Element {
    #private;
    private isRoot;
    title?: string;
    description?: string;
    ignoreVarsBeforeExec: string[];
    vars?: VarsProps;
    path?: string;
    encryptedPath?: string;
    content?: string;
    password?: string;
    logger: Logger;
    curDir: string;
    get count(): number;
    on(event: string, cb: (...args: any[]) => void): Group<GroupProps, GroupItemProps, GroupElement>;
    constructor(isRoot?: boolean);
    init(props: SceneProps): Promise<void>;
    getRemoteFileProps(): Promise<any>;
    private decryptContent;
    private generateEncryptedFile;
    initGroup(): Promise<void>;
    private loadVars;
    loadEnv(...envFiles: string[]): Promise<void>;
    exec(): Promise<Element[]>;
    dispose(): Promise<void>;
}
