"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const _1 = __importDefault(require("."));
let sleep;
beforeEach(() => {
    (0, testing_1.cleanTest)();
    sleep = testing_1.ElementTest.create(_1.default);
});
afterEach(async () => {
    await sleep.dispose();
});
test('Should sleep for a time', async () => {
    const start = Date.now();
    await sleep.init(500);
    await sleep.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
});
test('Should sleep for a time and show title', async () => {
    const start = Date.now();
    await sleep.init({
        title: 'sleep 500ms',
        duration: 500
    });
    await sleep.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
    expect(sleep.title).toBe('sleep 500ms');
});
//# sourceMappingURL=sleep.spec.js.map