import { Element } from "../../components/element.interface";
import { ElementProps } from "../../components/element.props";
import { Logger } from "../../libs/logger";
import { VarsProps } from "../vars/vars.props";
import { TestError } from "./test-error";
export type TestProps = string | ({
    check?: string;
    script?: string;
} & ElementProps);
export default class Test implements Element {
    private defaultTestTitle;
    testTitle: string;
    check?: string;
    script?: string;
    setContextVarsString?: any;
    vars?: VarsProps;
    error?: TestError;
    ignoreVarsBeforeExec: string[];
    logger: Logger;
    init(props: TestProps): Promise<void>;
    failed(description?: string): void;
    exec(): Promise<any>;
    dispose(): Promise<void>;
}
