"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AES = void 0;
const crypto_1 = require("crypto");
class AES {
    static _Instance;
    static get Instance() {
        return this._Instance || (this._Instance = new AES());
    }
    salt;
    constructor(salt = '') {
        this.salt = Buffer.from(salt);
    }
    encrypt(text, _salt) {
        const salt = _salt ? Buffer.from(_salt) : this.salt;
        const hash = (0, crypto_1.createHash)("sha1");
        hash.update(salt);
        const key = new Uint8Array(hash.digest()).slice(0, 16);
        const iv = (0, crypto_1.randomBytes)(16);
        const cipher = (0, crypto_1.createCipheriv)('aes-128-cbc', key, iv);
        const encrypted = Buffer.concat([cipher.update(text), cipher.final()]);
        return iv.toString('hex') + ':' + encrypted.toString('hex');
    }
    decrypt(text, _salt) {
        const salt = _salt ? Buffer.from(_salt) : this.salt;
        const hash = (0, crypto_1.createHash)("sha1");
        hash.update(salt);
        const key = new Uint8Array(hash.digest()).slice(0, 16);
        const textParts = text.split(':');
        const iv = Buffer.from(textParts.shift(), 'hex');
        const encryptedText = Buffer.from(textParts.join(':'), 'hex');
        const decipher = (0, crypto_1.createDecipheriv)('aes-128-cbc', key, iv);
        const decrypted = Buffer.concat([decipher.update(encryptedText), decipher.final()]);
        return decrypted.toString();
    }
}
exports.AES = AES;
//# sourceMappingURL=aes.js.map