"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("./../testing");
const env_1 = require("./env");
test('Should load env from files and objects', async () => {
    const tmpFile = new testing_1.TmpFile('.env');
    try {
        await tmpFile.create(`
NAME=env 1
age=11
MALE=true
ADMIN=0
user1_NAME=thanh update
user1_age=36
USER1_MALE=false
`);
        const env = new env_1.Env(testing_1.ElementTest.getLogger());
        const vars = await env.loadEnvToBase({
            name: 'string',
            age: 123,
            male: false,
            ADMIN: false,
            user1: {
                name: 'thanh',
                age: 30,
                male: true
            }
        }, {
            name: 'thanh',
            age: 123,
            male: false,
            ADMIN: true
        }, tmpFile.file);
        expect(vars).toEqual({
            name: 'env 1',
            age: 11,
            male: true,
            ADMIN: false,
            user1: {
                name: 'thanh update',
                age: 36,
                male: false
            }
        });
    }
    finally {
        tmpFile.remove();
    }
});
//# sourceMappingURL=env.spec.js.map