"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileRemote = void 0;
const promises_1 = require("fs/promises");
const variables_manager_1 = require("./../managers/variables-manager");
class FileRemote {
    uri;
    get isRemote() {
        return (this.uri.startsWith('http://') || this.uri.startsWith('https://')) ? true : false;
    }
    constructor(uri) {
        this.uri = uri;
        if (!uri)
            throw new Error(`File is required`);
        if (!this.isRemote) {
            this.uri = variables_manager_1.GlobalUtils.getPath(this.uri);
        }
    }
    async getTextContent() {
        if (!this.isRemote) {
            const buf = await (0, promises_1.readFile)(this.uri);
            return buf.toString();
        }
        const rs = await fetch(this.uri);
        const txt = await rs.text();
        return txt;
    }
}
exports.FileRemote = FileRemote;
//# sourceMappingURL=file-remote.js.map