export declare enum LoggerLevel {
    ALL = "trace",
    TRACE = "trace",
    DEBUG = "debug",
    INFO = "info",
    WARN = "warn",
    ERROR = "error",
    SILENT = "silent"
}
export declare class Logger {
    context: string;
    indent: number;
    level: number;
    indentString: string;
    constructor(level: LoggerLevel | number, context?: string, indent?: number);
    is(level: LoggerLevel | number): boolean;
    clone(context: string): Logger;
    addIndent(indent: any): void;
    getIndentString(indent: number): string;
    formatWithoutIndent(msg: string, level?: LoggerLevel): string;
    format(msg: string, level?: LoggerLevel): string;
    setLevel(level: LoggerLevel | number): void;
    log(msg: any, ...prms: any): void;
    info(msg: any, ...prms: any): void;
    debugBlock(isStart: boolean, msg?: string, ...prms: any): void;
    debug(msg: any, ...prms: any): void;
    warn(msg: any, ...prms: any): void;
    trace(msg: any, ...prms: any): void;
    error(msg: any, ...prms: any): void;
    fatal(msg: any, ...prms: any): void;
}
