"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgressBar = void 0;
const modules_manager_1 = require("./../managers/modules-manager");
class ProgressBar {
    logger;
    spinner;
    constructor(logger) {
        this.logger = logger;
    }
    async init(txt) {
        const { default: ora } = await (0, modules_manager_1.loadESModule)('ora');
        this.spinner = ora({
            text: txt,
            indent: this.logger.indent * 2
        });
    }
    start(txt) {
        return this.spinner.start(txt);
    }
    update(txt, level) {
        return this.spinner.text = this.logger.formatWithoutIndent(txt, level);
    }
    stop() {
        return this.spinner.stop();
    }
    passed(txt) {
        return this.spinner.succeed(txt);
    }
    failed(txt) {
        return this.spinner.fail(txt);
    }
}
exports.ProgressBar = ProgressBar;
//# sourceMappingURL=progress-bar.js.map