"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueFile = void 0;
const fs_1 = require("fs");
class QueueFile {
    file;
    logger;
    constructor(file, logger) {
        this.file = file;
        this.logger = logger.clone(QueueFile.name);
    }
    load() {
        if (!(0, fs_1.existsSync)(this.file))
            return;
        this.logger.debug(`Loaded\t%s`, this.file);
        const content = (0, fs_1.readFileSync)(this.file).toString();
        return JSON.parse(content);
    }
    save(data = {}) {
        this.logger.debug(`Saved\t%s`, this.file);
        (0, fs_1.writeFileSync)(this.file, JSON.stringify(data));
    }
}
exports.QueueFile = QueueFile;
//# sourceMappingURL=queue-file.js.map