"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerModulePlatform = exports.loadESModule = exports.nodeModulesDir = exports.libDir = exports.libName = void 0;
const path_1 = require("path");
const package_json_1 = require("../../package.json");
exports.libName = `${package_json_1.name}/`;
exports.libDir = (0, path_1.join)(__dirname, '../../../');
exports.nodeModulesDir = (0, path_1.join)(__dirname, '../../');
async function loadESModule(name) {
    return new Function(`return import('${name}')`).call(null);
}
exports.loadESModule = loadESModule;
function registerModulePlatform() {
    const _require = module.constructor.prototype.require;
    module.constructor.prototype.require = function (basePath, ...args) {
        if (basePath.startsWith(exports.libName)) {
            basePath = exports.libDir + basePath;
        }
        return _require.call(this, basePath, ...args);
    };
}
exports.registerModulePlatform = registerModulePlatform;
//# sourceMappingURL=modules-manager.js.map