"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tagsManager = exports.ClassInFileCharacter = void 0;
const variables_manager_1 = require("./../managers/variables-manager");
exports.ClassInFileCharacter = "'";
class TagsManager {
    #modules = {};
    async init(modules = {}, logger) {
        if (!modules)
            return;
        modules = await (0, variables_manager_1.getVars)(modules);
        Object.keys(modules)
            .forEach(key => {
            logger.trace(`Global tag\t[%s] %s`, key, modules[key]);
            this.#modules[key] = variables_manager_1.GlobalUtils.getPath(modules[key]);
        });
    }
    async getTag(name, innerName = 'default') {
        var _a;
        const path = this.#modules[name];
        if (!path)
            throw new Error(`Could not found tag module "${name}"`);
        const Clazz = await (_a = path, Promise.resolve().then(() => __importStar(require(_a))));
        return Clazz[innerName];
    }
    reset() {
        this.#modules = {};
    }
}
exports.tagsManager = new TagsManager();
//# sourceMappingURL=tags-manager.js.map