"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("./../testing");
const tags_manager_1 = require("./tags-manager");
beforeEach(() => {
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
});
test('load a new tag from external file', async () => {
    const tmpFile = new testing_1.TmpFile('.js');
    try {
        await tmpFile.create(`
    module.exports = class {
      constructor(logger) {
        this.logger = logger
      }
      init(props) {
        this.props = props
      }
      exec() {
        return this.props
      }
      dispose() { }
    }`);
        const data = { say: 'hello test' };
        await tags_manager_1.tagsManager.init({
            test1: tmpFile.file,
        }, testing_1.ElementTest.getLogger());
        const TestClass = await tags_manager_1.tagsManager.getTag('test1');
        const test = testing_1.ElementTest.create(TestClass);
        await test.init(data);
        const rs = await test.exec();
        expect(rs).toEqual(data);
    }
    finally {
        tmpFile.remove();
    }
});
//# sourceMappingURL=tags-manager.spec.js.map